Create Apple Pay Provisioning Data
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
certificates: ['<string>'],
nonce: '<string>',
nonce_signature: '<string>',
app_version: '<string>',
product_type: '<string>'
})
};
fetch('https://core.prod.gnosispay.com/user-api/cards/{cardId}/apple-pay/provisioning', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://core.prod.gnosispay.com/user-api/cards/{cardId}/apple-pay/provisioning \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"certificates": [
"<string>"
],
"nonce": "<string>",
"nonce_signature": "<string>",
"app_version": "<string>",
"product_type": "<string>"
}
'import requests
url = "https://core.prod.gnosispay.com/user-api/cards/{cardId}/apple-pay/provisioning"
payload = {
"certificates": ["<string>"],
"nonce": "<string>",
"nonce_signature": "<string>",
"app_version": "<string>",
"product_type": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://core.prod.gnosispay.com/user-api/cards/{cardId}/apple-pay/provisioning"
payload := strings.NewReader("{\n \"certificates\": [\n \"<string>\"\n ],\n \"nonce\": \"<string>\",\n \"nonce_signature\": \"<string>\",\n \"app_version\": \"<string>\",\n \"product_type\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://core.prod.gnosispay.com/user-api/cards/{cardId}/apple-pay/provisioning")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"certificates\": [\n \"<string>\"\n ],\n \"nonce\": \"<string>\",\n \"nonce_signature\": \"<string>\",\n \"app_version\": \"<string>\",\n \"product_type\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://core.prod.gnosispay.com/user-api/cards/{cardId}/apple-pay/provisioning")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"certificates\": [\n \"<string>\"\n ],\n \"nonce\": \"<string>\",\n \"nonce_signature\": \"<string>\",\n \"app_version\": \"<string>\",\n \"product_type\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"activation_data": "<string>",
"encrypted_pass_data": "<string>",
"ephemeral_public_key": "<string>"
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}Cards
Create Apple Pay Provisioning Data
Creates the encrypted Apple Pay payload required by PassKit. The card must belong to the authenticated user’s cardholder.
POST
/
cards
/
{cardId}
/
apple-pay
/
provisioning
Create Apple Pay Provisioning Data
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
certificates: ['<string>'],
nonce: '<string>',
nonce_signature: '<string>',
app_version: '<string>',
product_type: '<string>'
})
};
fetch('https://core.prod.gnosispay.com/user-api/cards/{cardId}/apple-pay/provisioning', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://core.prod.gnosispay.com/user-api/cards/{cardId}/apple-pay/provisioning \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"certificates": [
"<string>"
],
"nonce": "<string>",
"nonce_signature": "<string>",
"app_version": "<string>",
"product_type": "<string>"
}
'import requests
url = "https://core.prod.gnosispay.com/user-api/cards/{cardId}/apple-pay/provisioning"
payload = {
"certificates": ["<string>"],
"nonce": "<string>",
"nonce_signature": "<string>",
"app_version": "<string>",
"product_type": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://core.prod.gnosispay.com/user-api/cards/{cardId}/apple-pay/provisioning"
payload := strings.NewReader("{\n \"certificates\": [\n \"<string>\"\n ],\n \"nonce\": \"<string>\",\n \"nonce_signature\": \"<string>\",\n \"app_version\": \"<string>\",\n \"product_type\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://core.prod.gnosispay.com/user-api/cards/{cardId}/apple-pay/provisioning")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"certificates\": [\n \"<string>\"\n ],\n \"nonce\": \"<string>\",\n \"nonce_signature\": \"<string>\",\n \"app_version\": \"<string>\",\n \"product_type\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://core.prod.gnosispay.com/user-api/cards/{cardId}/apple-pay/provisioning")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"certificates\": [\n \"<string>\"\n ],\n \"nonce\": \"<string>\",\n \"nonce_signature\": \"<string>\",\n \"app_version\": \"<string>\",\n \"product_type\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"activation_data": "<string>",
"encrypted_pass_data": "<string>",
"ephemeral_public_key": "<string>"
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}Path Parameters
Body
application/json
Apple-provided leaf and sub-CA certificates, in that order. The Apple Root CA G3 is downloaded separately and is not sent by the client.
Required array length:
2 elementsA non-empty Base64-encoded DER certificate supplied by PassKit.
Minimum string length:
1Minimum string length:
1Minimum string length:
1Device types supported for Apple Pay push provisioning.
Available options:
mobile_phone, watch Minimum string length:
1Minimum string length:
1